<?php

namespace \Losc\CucmBundle\Model\Webservice\StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for RLocationBetween StructType
 * @subpackage Structs
 */
class RLocationBetween extends AbstractStructBase
{
    /**
     * The locationName
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \\Losc\CucmBundle\Model\Webservice\StructType\XFkType
     */
    public $locationName;
    /**
     * The weight
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $weight;
    /**
     * The audioBandwidth
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $audioBandwidth;
    /**
     * The videoBandwidth
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $videoBandwidth;
    /**
     * The immersiveBandwidth
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $immersiveBandwidth;
    /**
     * The uuid
     * Meta information extracted from the WSDL
     * - base: xsd:string
     * - pattern: \{........-....-....-....-............\}
     * @var string
     */
    public $uuid;
    /**
     * Constructor method for RLocationBetween
     * @uses RLocationBetween::setLocationName()
     * @uses RLocationBetween::setWeight()
     * @uses RLocationBetween::setAudioBandwidth()
     * @uses RLocationBetween::setVideoBandwidth()
     * @uses RLocationBetween::setImmersiveBandwidth()
     * @uses RLocationBetween::setUuid()
     * @param \\Losc\CucmBundle\Model\Webservice\StructType\XFkType $locationName
     * @param string $weight
     * @param string $audioBandwidth
     * @param string $videoBandwidth
     * @param string $immersiveBandwidth
     * @param string $uuid
     */
    public function __construct(\\Losc\CucmBundle\Model\Webservice\StructType\XFkType $locationName = null, $weight = null, $audioBandwidth = null, $videoBandwidth = null, $immersiveBandwidth = null, $uuid = null)
    {
        $this
            ->setLocationName($locationName)
            ->setWeight($weight)
            ->setAudioBandwidth($audioBandwidth)
            ->setVideoBandwidth($videoBandwidth)
            ->setImmersiveBandwidth($immersiveBandwidth)
            ->setUuid($uuid);
    }
    /**
     * Get locationName value
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\XFkType|null
     */
    public function getLocationName()
    {
        return $this->locationName;
    }
    /**
     * Set locationName value
     * @param \\Losc\CucmBundle\Model\Webservice\StructType\XFkType $locationName
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\RLocationBetween
     */
    public function setLocationName(\\Losc\CucmBundle\Model\Webservice\StructType\XFkType $locationName = null)
    {
        $this->locationName = $locationName;
        return $this;
    }
    /**
     * Get weight value
     * @return string|null
     */
    public function getWeight()
    {
        return $this->weight;
    }
    /**
     * Set weight value
     * @param string $weight
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\RLocationBetween
     */
    public function setWeight($weight = null)
    {
        $this->weight = $weight;
        return $this;
    }
    /**
     * Get audioBandwidth value
     * @return string|null
     */
    public function getAudioBandwidth()
    {
        return $this->audioBandwidth;
    }
    /**
     * Set audioBandwidth value
     * @param string $audioBandwidth
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\RLocationBetween
     */
    public function setAudioBandwidth($audioBandwidth = null)
    {
        $this->audioBandwidth = $audioBandwidth;
        return $this;
    }
    /**
     * Get videoBandwidth value
     * @return string|null
     */
    public function getVideoBandwidth()
    {
        return $this->videoBandwidth;
    }
    /**
     * Set videoBandwidth value
     * @param string $videoBandwidth
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\RLocationBetween
     */
    public function setVideoBandwidth($videoBandwidth = null)
    {
        $this->videoBandwidth = $videoBandwidth;
        return $this;
    }
    /**
     * Get immersiveBandwidth value
     * @return string|null
     */
    public function getImmersiveBandwidth()
    {
        return $this->immersiveBandwidth;
    }
    /**
     * Set immersiveBandwidth value
     * @param string $immersiveBandwidth
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\RLocationBetween
     */
    public function setImmersiveBandwidth($immersiveBandwidth = null)
    {
        $this->immersiveBandwidth = $immersiveBandwidth;
        return $this;
    }
    /**
     * Get uuid value
     * @return string|null
     */
    public function getUuid()
    {
        return $this->uuid;
    }
    /**
     * Set uuid value
     * @param string $uuid
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\RLocationBetween
     */
    public function setUuid($uuid = null)
    {
        $this->uuid = $uuid;
        return $this;
    }
}
